- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
info
Complete List of ArrayFire Functions ArrayFire Functions by Category » Functions to create and modify Arrays » | Managing devices in ArrayFire

Display ArrayFire and device info. More...

## Functions
AFAPI void | info ()
AFAPI af_err | af_info ()
AFAPI af_err | af_device_info (char *d_name, char *d_platform, char *d_toolkit, char *d_compute)

## Detailed Description

Display ArrayFire and device info.

## Function Documentation

AFAPI af_err af_device_info | ( | char * | d_name,
|  | char * | d_platform,
|  | char * | d_toolkit,
|  | char * | d_compute
| ) |  |

AFAPI af_err af_info | ( |  | ) |

AFAPI void af::info | ( |  | ) |

Examples:
  adaptive_thresholding.cpp, bagging.cpp, binary_thresholding.cpp, black_scholes_options.cpp, brain_segmentation.cpp, cholesky.cpp, conway.cpp, conway_pretty.cpp, deep_belief_net.cpp, edge.cpp, filters.cpp, fractal.cpp, helloworld.cpp, image_demo.cpp, image_editing.cpp, integer.cpp, kmeans.cpp, knn.cpp, logistic_regression.cpp, lu.cpp, matching.cpp, morphing.cpp, naive_bayes.cpp, neural_network.cpp, optical_flow.cpp, perceptron.cpp, pi.cpp, plot2d.cpp, pyramids.cpp, qr.cpp, rainfall.cpp, rbm.cpp, softmax_regression.cpp, svd.cpp, and vectorize.cpp.